<?php
/***                                                                        ***\
    search.php                               Last Updated: 2004.08.09 (xris)

    This file defines a theme class for the search section.
    It must define one method.   documentation will be added someday.

\***                                                                        ***/

class Theme_search extends Theme {

    function print_page() {
    // Print the main page header
        parent::print_header('MythWeb - Search');
    // Print the advanced search header
?>

<form action="search.php" method="post">
<table class="jumpbar">
<tr>
    <td><label><?php echo t('Search') ?>: <input type="text" name="searchstr" class="search" value="<?php echo (isset($_SESSION['search']['searchstr'])) ? htmlentities($_SESSION['search']['searchstr'], ENT_COMPAT, 'UTF-8') : "(ALT+M)" ?>" accesskey="m" onfocus="JavaScript:clear_box(this);"> <input type="submit" class="submit" value="<?php echo t('Search') ?>"></label>
    <label><?php echo t('Title') ?>: <input type="checkbox" class="radio" id="search_title" name="search_title" value="1"<?php echo $_SESSION['search']['search_title'] ? ' CHECKED' : ''?>></label> 
    <label><?php echo t('Subtitle') ?>: <input type="checkbox" class="radio" id="search_subtitle" name="search_subtitle" value="1"<?php echo $_SESSION['search']['search_subtitle'] ? ' CHECKED' : ''?>></label>
    <label><?php echo t('Description') ?>: <input type="checkbox" class="radio" id="search_description" name="search_description" value="1"<?php echo $_SESSION['search']['search_description'] ? ' CHECKED' : ''?>></label>
    <label><?php echo t('Category') ?>: <input type="checkbox" class="radio" id="search_category" name="search_category" value="1"<?php echo $_SESSION['search']['search_category'] ? ' CHECKED' : ''?>></label>
    <label><?php echo t('Category Type') ?>: <input type="checkbox" class="radio" id="search_category_type" name="search_category_type" value="1"<?php echo $_SESSION['search']['search_category_type'] ? ' CHECKED' : ''?>></label>
    <label><?php echo t('Exact Match') ?>: <input type="checkbox" class="radio" id="search_exact" name="search_exact" value="1"<?php echo $_SESSION['search']['search_exact'] ? ' CHECKED' : ''?>></label></td>
</tr>
</table>
</form>

<?php
    // Print any search results
        $this->print_results();
    // Print the main page footer
        parent::print_footer();
    }

    function print_results() {
        global $Results;
    // No search was performed, just return
        if (!is_array($Results))
            return;
    // Search, but nothing found - notify the user
        if (!count($Results)) {
            echo '<p class="huge" align="center">'.t('No matches found').'</p>';
            return;
        }

    // Setup for grouping by various sort orders
        $group_field = $_SESSION['search_sortby'][0]['field'];
        if ($group_field == "")
            $group_field = "airdate";
        elseif ($group_field != "title" && $group_field != "channum" && $group_field != "airdate")
            $group_field = "";

    // Display the results
?><table class="searchresult">
<tr>
    <?php if ($group_field != "") echo "<td>&nbsp;</td>\n"; ?>
    <td><?php echo get_sort_link('title',       t('title'))       ?></td>
    <td><?php echo get_sort_link('subtitle',    t('subtitle'))    ?></td>
    <td><?php echo get_sort_link('description', t('description')) ?></td>
    <td><?php echo get_sort_link('channum',     t('channum'))     ?></td>
    <td><?php echo get_sort_link('airdate',     t('airdate'))     ?></td>
    <td><?php echo get_sort_link('length',      t('length'))      ?></td>
</tr><?php
        $row = 0;

        $prev_group="";
        $cur_group="";

        foreach ($Results as $show) {

            // Print a dividing row if grouping changes
            if ($group_field == "airdate") {
                $cur_group = strftime($_SESSION['date_listing_jump'], $show->starttime);
            } elseif ($group_field == "channum") {
                $cur_group = $show->channel->name;
            } elseif ($group_field == "title") {
                $cur_group = $show->title;
            }

            if ( ($cur_group <> $prev_group) && ($group_field <> "") ) { ?>
    <tr>
    <td colspan="7" class="list_separator">
        <?php echo $cur_group?>
        </td>
    </tr><?
            }

    // Print some additional information for movies
    $additional = '';
    if ($show->category_type == 'movie'
            || $show->category_type == 'Film') {
        if ($show->airdate > 0)
                $additional = sprintf('%4d', $show->airdate);
        if (strlen($show->rating) > 0) {
            if ($additional)
                $additional .= ", ";
            $additional .= "<i>$show->rating</i>";
        }
        if (strlen($show->starstring) > 0) {
            if ($additional)
                $additional .= ", ";
            $additional .= $show->starstring;
        }
        if ($additional)
            $additional = ' (' . $additional . ')';
    }

    // Print the content
    ?><tr><!-- class="<?php echo $show->class ?>"-->
    <?php if ($group_field != "") echo "<td class=\"" . $show->class . " nosideborder\">&nbsp;</td>\n"; ?>
    <td class="<?php echo $show->class ?> nosideborder"><?php
        echo '<a href="program_detail.php?chanid='.$show->chanid.'&starttime='.$show->starttime.'">'
             .$show->title . $additional.'</a>';
        ?></td>
    <td class="<?php echo $show->class ?> nosideborder"><?php echo $show->subtitle?></td>
    <td class="<?php echo $show->class ?> nosideborder"><?php echo $show->description?></td>
    <td class="<?php echo $show->class ?> nosideborder"><?php echo $show->channel->channum.' - '.$show->channel->name?></td>
    <td class="<?php echo $show->class ?> nosideborder" nowrap><?php echo strftime($_SESSION['date_search'], $show->starttime)?></td>
    <td class="<?php echo $show->class ?> nosideborder" nowrap><?php echo nice_length($show->length)?></td>
</tr>
<tr><td colspan="7" class="search_spacer"></td></tr>
<?php
            $prev_group = $cur_group;
            $row++;
        }
?>

</table>
<?php
    }

}

?>
