<?php
/***                                                                        ***\
    theme.php                             Last Updated: 2004.09.08 (xris)

    This is the main theme class for the Default MythWeb theme.  It should
    not be instantiated directly, but will most likely contain methods
    called from its child classes via the parent:: construct.
\***                                                                        ***/

class Theme {

    function print_header($page_title = 'MythWeb') {
// Print the appropriate header information
        header("Content-Type: text/html; charset=utf-8");
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<head>
    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">

    <Link Rel="stylesheet" HRef="<?php echo theme_dir?>style.css" Type="text/css" Media="screen">

    <title><?php echo $page_title?></title>

    <script type="text/javascript" src="<?php echo theme_dir?>init.js"></script>
</head>

<body bgcolor="#003060" text="#DEDEDE" link="#3181B4" alink="#CC0000" vlink="#3181B4" onclick="hide()">
<table class="topbar">
        <tr>
            <td align="center">
                <a href="program_listing.php">MythTV</a>
                &nbsp; | &nbsp;
                <a href="mythmusic.php">MythMusic</a>
                &nbsp; | &nbsp;
                <a href="video.php">MythVideo</a>
                &nbsp; | &nbsp;
                <a href="weather.php">MythWeather</a>
                &nbsp; | &nbsp;
                <a href="settings.php"><?php echo t('Settings') ?></a></td>

            <td align="right">
                <form action="search.php" method="post">
                <label><? echo t('Search') ?>: <input type="text" name="searchstr" class="search" value="<?php echo (isset($_SESSION['search']['searchstr'])) ? htmlentities($_SESSION['search']['searchstr'], ENT_COMPAT, 'UTF-8') : "(ALT+S)" ?>" accesskey="s" onfocus="JavaScript:clear_box(this);"></label>
                <a href="search.php">[<? echo t('advanced') ?>]</a>
                </form></td>

        </tr>
        </table>

<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
    <td colspan="2" class="title"><img src="themes/Default/img/title.gif" alt="MythTV" /></td>
</tr>
<tr>

    <td class="menu"><?php $this->print_menu_content() ?></td>
    <td class="menuright"><?php echo strftime($_SESSION['date_statusbar'], time())?></td>

</tr>
</table>
<?
    }

    function print_menu_content() {
        ?><a id="category_legend" onmouseover="show('category_legend');return true;" onmouseout="hide();return true;"><?php echo t('Category Legend') ?></a> |
                <a href="program_listing.php"><?php echo t('Listings') ?></a> |

                <a href="search.php?category_type=<?php echo movie_word?>"><?php echo t('Movies') ?></a> |

                <a href="schedule_manually.php"><?php echo t('Manually Schedule') ?></a> |

                <a href="recording_schedules.php"><?php echo t('Recording Schedules') ?></a> |

                <a href="scheduled_recordings.php"><?php echo t('Scheduled Recordings') ?></a> |

                <a href="recorded_programs.php"><?php echo t('Recorded Programs') ?></a> |

                <a href="status.php"><?php echo t('Backend Status') ?></a><?php
        # really should move the category_legend footnote to this section,
        # so it doesn't render in other sections
    }

    function print_footer() {

// Display footnotes
    global $Footnotes;
    if (is_array($Footnotes)) {
        foreach ($Footnotes as $note) {
            echo $note;
        }
    }
?>

<div id="category_legend_popup" class="hidden">
<table class="schedule">
<tr>
    <?php
    $count = 0;
    global $Categories;
    foreach ($Categories as $cat => $details) {
        if ($count++ % 3 == 0)
            echo "\n\t\t</tr><tr>\n";
        echo "\t\t\t<td class=\"cat_$cat legend\" align=\"center\"><b>".htmlentities($details[0], ENT_COMPAT, 'UTF-8')."</b></td>\n";
    }
    ?>
    </tr>
    </table>
</div>

</body>
</html>
<?
    }
}


?>
